View Issue Details

IDProjectCategoryView StatusLast Update
0002567SymmetricDS ProInstallationpublic2019-05-09 13:30
Reportergilles.riandAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.7.32 
Target VersionFixed in Version3.9.0 
Summary0002567: Postgresql 9.5 / Installation / autocommit parameter
DescriptionWith Postgresql 9.5 (release in 02/2016) and during installation : Failed to connect : unrecognized configuration parameter "autocommit"

I found this issue #http://www.symmetricds.org/issues/view.php?id=2439
But the bug is still here.

Additional Information    at com.vaadin.server.AbstractClientConnector.fireEvent(AbstractClientConnector.java:979)
    at com.vaadin.ui.Button.fireClick(Button.java:393)
    at com.vaadin.ui.Button$1.click(Button.java:57)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.vaadin.server.ServerRpcManager.applyInvocation(ServerRpcManager.java:168)
    at com.vaadin.server.ServerRpcManager.applyInvocation(ServerRpcManager.java:118)
    at com.vaadin.server.communication.ServerRpcHandler.handleInvocations(ServerRpcHandler.java:287)
    at com.vaadin.server.communication.ServerRpcHandler.handleRpc(ServerRpcHandler.java:180)
    at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest(UidlRequestHandler.java:93)
    at com.vaadin.server.SynchronizedRequestHandler.handleRequest(SynchronizedRequestHandler.java:41)
    at com.vaadin.server.VaadinService.handleRequest(VaadinService.java:1406)
    at com.vaadin.server.VaadinServlet.service(VaadinServlet.java:305)
    at com.jumpmind.symmetric.console.ui.AppServlet.service(AppServlet.java:36)
    at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
    at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:808)
    at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:587)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:143)
    at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:577)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:223)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1127)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:515)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:185)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1061)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:141)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)
    at org.eclipse.jetty.server.Server.handle(Server.java:499)
    at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:310)
    at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:257)
    at org.eclipse.jetty.io.AbstractConnection$2.run(AbstractConnection.java:540)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:635)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:555)
    at java.lang.Thread.run(Unknown Source)
2016-04-19 08:20:49,022 WARN [gui] [m] [qtp199462288-19] Unsuccessful attempt to connect to a database using url: jdbc:postgresql://localhost/database?protocolVersion=2&stringtype=unspecified&socketTimeout=300&tcpKeepAlive=true with driver: org.postgresql.Driver as user: myuser
org.postgresql.util.PSQLException: ERREUR: param��tre de configuration �� autocommit �� non reconnu
    at org.postgresql.core.v2.QueryExecutorImpl.receiveErrorMessage(QueryExecutorImpl.java:574)
    at org.postgresql.core.v2.QueryExecutorImpl.processResults(QueryExecutorImpl.java:497)
    at org.postgresql.core.v2.QueryExecutorImpl.execute(QueryExecutorImpl.java:364)
    at org.postgresql.core.v2.QueryExecutorImpl.execute(QueryExecutorImpl.java:258)
    at org.postgresql.core.SetupQueryRunner.run(SetupQueryRunner.java:74)
    at org.postgresql.core.v2.ConnectionFactoryImpl.runInitialQueries(ConnectionFactoryImpl.java:439)
TagsNo tags attached.

Activities

gilles.riand

2016-04-19 02:31

reporter   ~0000784

Reproducibility : always

gilles.riand

2016-08-09 10:32

reporter   ~0000824

I found the solution : see doc https://jdbc.postgresql.org/documentation/80/connect.html

Use protocolVersion=3 in the connection string with PG 9.5

Issue History

Date Modified Username Field Change
2016-04-19 02:30 gilles.riand New Issue
2016-04-19 02:31 gilles.riand Note Added: 0000784
2016-08-09 10:32 gilles.riand Note Added: 0000824
2019-05-09 13:30 elong Assigned To => josh-a-hicks
2019-05-09 13:30 elong Status new => closed
2019-05-09 13:30 elong Resolution open => fixed
2019-05-09 13:30 elong Fixed in Version => 3.9.0